﻿using System;

namespace Analyzer.Core
{
    public class SingleAlignmentSet
        : MultiAlignmentSet
    {
        public SingleAlignmentSet(MultiAlignmentSet alignmentSet)
            : base(alignmentSet)
        {
            if (this.Queries.Count != 1)
            {
                throw new ArgumentException("Must contain only single query sequence.", "alignmentSet");
            }
            if (this.Targets.Count != 1)
            {
                throw new ArgumentException("Must contain only single target sequence.", "alignmentSet");
            }
        }

        public Sequence Query
        {
            get
            {
                return this.Queries[0];
            }
        }

        public Sequence Target
        {
            get
            {
                return this.Targets[0];
            }
        }
    }
}
