﻿using System;
using Analyzer.Core;

namespace Analyzer.Plot
{
    public static class MainClass
    {
        public static void Main(string[] args)
        {
            foreach (string fileName in args)
            {
                MultiAlignmentSet s = MultiAlignmentSet.FromPSL(fileName);
                foreach (Sequence target in s.Targets)
                {
                    foreach (Sequence query in s.Queries)
                    {
                        SingleAlignmentSet ss = s.Subset(target, query);
                        Plotter.PlotAlignment(ss, 1000).Save(fileName + "-" + target.Name + "-" + query.Name + ".png");
                    }
                }
            }
        }
    }
}
