#ifndef SIMULATOR_H
#define SIMULATOR_H

#include <ostream>
#include <vector>
#include "distribution.h"
#include "phyltree.h"
#include "seqevent.h"
#include "submodel.h"

class simulator
{
    public:
        submodel *substitution_model;
        phyltree *phylogenetic_tree;
        int root_length;
        std::vector<seqevent*> sequence_events;
        
        simulator();
        simulator(const simulator &s);
        simulator& operator=(const simulator &s);
        ~simulator();
        void run(std::ostream &output, std::ostream &logfile);
        
    private:
        double base_freqs[4];
        
        void cleanup();
        void evolve(std::vector<char> &seq, double time, std::ostream &logfile);
        void run(std::vector<char> &seq, phyltree *tree, std::ostream &output, std::ostream &logfile);
        void validate();
};

#endif
