#ifndef SUBMODEL_H
#define SUBMODEL_H

#include <string>
#include "matrix.h"

class submodel
{
    public:
        submodel(const std::string &description);
        bool needs_base_freqs();
        void get_base_freqs(double &pt, double &pc, double &pa, double &pg);
        void set_base_freqs(double pt, double pc, double pa, double pg);
        void make_pmatrix(double time, double pmat[4][4]);
        
    private:
        double a, b, c, d, e, f;
        bool f84;
        bool needs_freqs;
        double base_freqs[4];
        double qmat[4][4];
};

#endif
